# Gimp.Resource

    const Gimp = imports.gi.Gimp;

    let resource = new Gimp.Resource({
        id: value,
    });

Functions to manipulate resources.

## Hierarchy

- GObject.Object
  - Gimp.Resource

## Methods

- Gimp.Resource.prototype.delete
- Gimp.Resource.prototype.duplicate
- Gimp.Resource.prototype.get_id
- Gimp.Resource.prototype.get_name
- Gimp.Resource.prototype.is_brush
- Gimp.Resource.prototype.is_editable
- Gimp.Resource.prototype.is_font
- Gimp.Resource.prototype.is_gradient
- Gimp.Resource.prototype.is_palette
- Gimp.Resource.prototype.is_pattern
- Gimp.Resource.prototype.is_valid
- Gimp.Resource.prototype.rename

## Static Functions

- Gimp.Resource.get_by_id
- Gimp.Resource.get_by_name
- Gimp.Resource.id_is_brush
- Gimp.Resource.id_is_font
- Gimp.Resource.id_is_gradient
- Gimp.Resource.id_is_palette
- Gimp.Resource.id_is_pattern
- Gimp.Resource.id_is_valid

## Properties

- id